package com.zhyc.module.biosafety.mapper;

import java.util.List;

import com.zhyc.module.biosafety.domain.SwMedicType;
import org.apache.ibatis.annotations.Mapper;

/**
 * 药品类型Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-11
 */
@Mapper
public interface SwMedicTypeMapper 
{
    /**
     * 查询药品类型
     * 
     * @param id 药品类型主键
     * @return 药品类型
     */
    public SwMedicType selectSwMedicTypeById(Long id);

    /**
     * 查询药品类型列表
     * 
     * @param swMedicType 药品类型
     * @return 药品类型集合
     */
    public List<SwMedicType> selectSwMedicTypeList(SwMedicType swMedicType);

    /**
     * 新增药品类型
     * 
     * @param swMedicType 药品类型
     * @return 结果
     */
    public int insertSwMedicType(SwMedicType swMedicType);

    /**
     * 修改药品类型
     * 
     * @param swMedicType 药品类型
     * @return 结果
     */
    public int updateSwMedicType(SwMedicType swMedicType);

    /**
     * 删除药品类型
     * 
     * @param id 药品类型主键
     * @return 结果
     */
    public int deleteSwMedicTypeById(Long id);

    /**
     * 批量删除药品类型
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSwMedicTypeByIds(Long[] ids);
}
